Skip to main content
`Ctrl`+`K`

# DMPlexGetRegularRefinement

Get the flag indicating that this mesh was obtained by regular refinement from its coarse mesh

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetRegularRefinement(DM dm, PetscBool *regular)

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- regular - The flag

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSetRegularRefinement()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex30.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages